tigase.server.sreceiver

## Class PropertyItem

- java.lang.Object
- - tigase.server.sreceiver.PropertyItem

-     public class PropertyItem
      extends Object

  Describe class PropertyItem here. Created: Fri May 18 12:14:03 2007
  Version:
    $Rev$
  Author:
    Artur Hefczyc

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `PropertyItem(String name, Object def_value)` Creates a new `PropertyItem` instance.
    `PropertyItem(String name, String display_name, Object def_value)` Creates a new `PropertyItem` instance.
    `PropertyItem(String name, String display_name, Object def_value, String[] possible_values, String description)` Creates a new `PropertyItem` instance.
    `PropertyItem(String name, String display_name, String[] def_values, String[] possible_values, String description)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `String` | `getDescription()` Gets the value of description
    `String` | `getDisplay_name()` Gets the value of display_name
    `String` | `getName()` Gets the value of name
    `String[]` | `getPossible_values()` Gets the value of possible_values
    `Object` | `getValue()` Gets the value of the property
    `boolean` | `isMultiValue()`
    `void` | `setDescription(String argDescription)` Sets the value of description
    `void` | `setDisplay_name(String argDisplay_name)` Sets the value of display_name
    `void` | `setName(String argName)` Sets the value of name
    `void` | `setPossible_values(String[] argPossible_values)` Sets the value of possible_values
    `void` | `setValue(Object argValue)` Sets the value of the property
    `String` | `toString()`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### PropertyItem

          public PropertyItem(String name,
                              String display_name,
                              Object def_value,
                              String[] possible_values,
                              String description)

      Creates a new `PropertyItem` instance.

    - #### PropertyItem

          public PropertyItem(String name,
                              String display_name,
                              String[] def_values,
                              String[] possible_values,
                              String description)

    - #### PropertyItem

          public PropertyItem(String name,
                              Object def_value)

      Creates a new `PropertyItem` instance.

    - #### PropertyItem

          public PropertyItem(String name,
                              String display_name,
                              Object def_value)

      Creates a new `PropertyItem` instance.

  - ### Method Detail

    - #### isMultiValue

          public boolean isMultiValue()

    - #### getName

          public String getName()

      Gets the value of name
      Returns:
        the value of name

    - #### setName

          public void setName(String argName)

      Sets the value of name
      Parameters:
        `argName` - Value to assign to this.name

    - #### getDisplay_name

          public String getDisplay_name()

      Gets the value of display_name
      Returns:
        the value of display_name

    - #### setDisplay_name

          public void setDisplay_name(String argDisplay_name)

      Sets the value of display_name
      Parameters:
        `argDisplay_name` - Value to assign to this.display_name

    - #### getValue

          public Object getValue()

      Gets the value of the property
      Returns:
        the value of value

    - #### setValue

          public void setValue(Object argValue)

      Sets the value of the property
      Parameters:
        `argValue` - Value to assign to this.value

    - #### getPossible_values

          public String[] getPossible_values()

      Gets the value of possible_values
      Returns:
        the value of possible_values

    - #### setPossible_values

          public void setPossible_values(String[] argPossible_values)

      Sets the value of possible_values
      Parameters:
        `argPossible_values` - Value to assign to this.possible_values

    - #### getDescription

          public String getDescription()

      Gets the value of description
      Returns:
        the value of description

    - #### setDescription

          public void setDescription(String argDescription)

      Sets the value of description
      Parameters:
        `argDescription` - Value to assign to this.description

    - #### toString

          public String toString()

      Overrides:
        `toString` in class `Object`

Copyright © 2018 "Tigase, Inc.". All rights reserved.